Bug 135505 - [GTK] Be able to disable gtk2 dependency
Summary: [GTK] Be able to disable gtk2 dependency
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-01 06:19 PDT by Milan Crha
Modified: 2014-08-06 08:01 PDT (History)
9 users (show)

See Also:


Attachments
Add an option to disable WebKitPluginProcess2 (6.39 KB, patch)
2014-08-04 02:47 PDT, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Crha 2014-08-01 06:19:53 PDT
Please add a configure option to be able to disable gtk2 dependency. It's not good to mix gtk3 and gtk2 (I build webkitgtk for gtk3), and it's sometimes not needed (like for evolution). If you can enable it by default, but allow a configure option to disable it, then it'll help to build softer webkit (like under Win32, I know, I know, webkit2 doesn't work right now, but let's start with small steps). It's understood that disable of the gtk2 dependency removes some functionality, like the famous flash, but that's understood and fine.
Comment 1 Carlos Garcia Campos 2014-08-01 06:22:07 PDT
Now that the default plugin process doesn't use GTK2, it's possible to build without gtk2 support. And of course GTK+2 plugins like flash would not work.
Comment 2 Carlos Garcia Campos 2014-08-04 02:47:27 PDT
Created attachment 235969 [details]
Add an option to disable WebKitPluginProcess2

WebKitPluginProcess2 is the only reason we depend on GTK+2.
Comment 3 Gustavo Noronha (kov) 2014-08-06 07:18:59 PDT
Comment on attachment 235969 [details]
Add an option to disable WebKitPluginProcess2

View in context: https://bugs.webkit.org/attachment.cgi?id=235969&action=review

> Source/WebKit2/PlatformGTK.cmake:-580
> -    list(APPEND PluginProcessGTK2_INCLUDE_DIRECTORIES
> -        "${WEBKIT2_DIR}/PluginProcess/unix"
> -    )
> -
> -    include_directories(${PluginProcessGTK2_INCLUDE_DIRECTORIES})

This path is already added on a more general basis, I imagine?
Comment 4 Carlos Garcia Campos 2014-08-06 07:57:43 PDT
Comment on attachment 235969 [details]
Add an option to disable WebKitPluginProcess2

View in context: https://bugs.webkit.org/attachment.cgi?id=235969&action=review

>> Source/WebKit2/PlatformGTK.cmake:-580
>> -    include_directories(${PluginProcessGTK2_INCLUDE_DIRECTORIES})
> 
> This path is already added on a more general basis, I imagine?

Yes, see the previous chunk
Comment 5 Carlos Garcia Campos 2014-08-06 08:01:54 PDT
Committed r172144: <http://trac.webkit.org/changeset/172144>